package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Xero_invoicesRepository;
import com.realnet.vpspack.Entity.Xero_invoices
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class Xero_invoicesService {
@Autowired
private Xero_invoicesRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Xero_invoices Savedata(Xero_invoices data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Xero_invoices save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Xero_invoices> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Xero_invoices> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Xero_invoices> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Xero_invoices getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Xero_invoices update(Xero_invoices data,Integer id) {
	Xero_invoices old = Repository.findById(id).get();
old.setPayed(data.getPayed());

old.setInvoice_sent(data.getInvoice_sent());

old.setCustomer(data.getCustomer());

old.setAgent(data.getAgent());

old.setReset_btn(data.getReset_btn());

old.setFilter_btn(data.getFilter_btn());

old.setXero_invoices_line(data.getXero_invoices_line());

final Xero_invoices test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
